## Deprecated Interface Deprecated Interface — Deprecated types and methods. |

## Functions

gboolean | qmi_device_close ()
void | qmi_device_command ()
QmiMessage * | qmi_device_command_finish ()
void | qmi_utils_read_guint8_from_buffer ()
void | qmi_utils_read_gint8_from_buffer ()
void | qmi_utils_read_guint16_from_buffer ()
void | qmi_utils_read_gint16_from_buffer ()
void | qmi_utils_read_guint32_from_buffer ()
void | qmi_utils_read_gint32_from_buffer ()
void | qmi_utils_read_guint64_from_buffer ()
void | qmi_utils_read_gint64_from_buffer ()
void | qmi_utils_read_sized_guint_from_buffer ()
void | qmi_utils_read_gfloat_from_buffer ()
void | qmi_utils_read_string_from_buffer ()
void | qmi_utils_read_fixed_size_string_from_buffer ()
void | qmi_utils_write_guint8_to_buffer ()
void | qmi_utils_write_gint8_to_buffer ()
void | qmi_utils_write_guint16_to_buffer ()
void | qmi_utils_write_gint16_to_buffer ()
void | qmi_utils_write_guint32_to_buffer ()
void | qmi_utils_write_gint32_to_buffer ()
void | qmi_utils_write_guint64_to_buffer ()
void | qmi_utils_write_gint64_to_buffer ()
void | qmi_utils_write_sized_guint_to_buffer ()
void | qmi_utils_write_string_to_buffer ()
void | qmi_utils_write_fixed_size_string_to_buffer ()
gboolean | qmi_message_get_version_introduced ()
gboolean | qmi_message_get_version_introduced_full ()
gchar * | qmi_message_get_printable ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_new ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_new ()
gboolean | qmi_message_dms_set_service_programming_code_input_get_current ()
gboolean | qmi_message_dms_set_service_programming_code_input_set_current ()
gboolean | qmi_message_tlv_read_gfloat ()
gboolean | qmi_message_uim_change_pin_input_get_session_information ()
gboolean | qmi_message_uim_change_pin_input_set_session_information ()
gboolean | qmi_message_uim_get_file_attributes_input_get_session_information ()
gboolean | qmi_message_uim_get_file_attributes_input_set_session_information ()
gboolean | qmi_message_uim_read_record_input_get_session_information ()
gboolean | qmi_message_uim_read_record_input_set_session_information ()
gboolean | qmi_message_uim_read_transparent_input_get_session_information ()
gboolean | qmi_message_uim_read_transparent_input_set_session_information ()
gboolean | qmi_message_uim_set_pin_protection_input_get_session_information ()
gboolean | qmi_message_uim_set_pin_protection_input_set_session_information ()
gboolean | qmi_message_uim_unblock_pin_input_get_session_information ()
gboolean | qmi_message_uim_unblock_pin_input_set_session_information ()
gboolean | qmi_message_uim_verify_pin_input_get_session_information ()
gboolean | qmi_message_uim_verify_pin_input_set_session_information ()
gboolean | qmi_message_nas_get_operator_name_output_get_operator_nitz_information ()
gboolean | qmi_indication_nas_operator_name_output_get_operator_nitz_information ()
gboolean | qmi_message_nas_get_home_network_output_get_home_network_3gpp2 ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_geran_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_umts_info ()
gboolean | qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info ()
gboolean | qmi_message_nas_get_system_info_output_get_gsm_system_info ()
gboolean | qmi_message_nas_get_system_info_output_get_lte_system_info ()
gboolean | qmi_message_nas_get_system_info_output_get_td_scdma_system_info ()
gboolean | qmi_message_nas_get_system_info_output_get_wcdma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_gsm_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_lte_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_td_scma_system_info ()
gboolean | qmi_indication_nas_system_info_output_get_wcdma_system_info ()
gboolean | qmi_message_nas_swi_get_status_output_get_common_info ()
gboolean | qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status ()
const gchar * | qmi_dms_dell_firmware_version_type_get_string ()
QmiMessageDmsDellGetFirmwareVersionInput * | qmi_message_dms_dell_get_firmware_version_input_new ()
QmiMessageDmsDellGetFirmwareVersionInput * | qmi_message_dms_dell_get_firmware_version_input_ref ()
gboolean | qmi_message_dms_dell_get_firmware_version_input_set_version_type ()
gboolean | qmi_message_dms_dell_get_firmware_version_input_get_version_type ()
void | qmi_message_dms_dell_get_firmware_version_input_unref ()
QmiMessageDmsDellGetFirmwareVersionOutput * | qmi_message_dms_dell_get_firmware_version_output_ref ()
void | qmi_message_dms_dell_get_firmware_version_output_unref ()
gboolean | qmi_message_dms_dell_get_firmware_version_output_get_result ()
gboolean | qmi_message_dms_dell_get_firmware_version_output_get_version ()
void | qmi_client_dms_dell_get_firmware_version ()
QmiMessageDmsDellGetFirmwareVersionOutput * | qmi_client_dms_dell_get_firmware_version_finish ()
const gchar * | qmi_dms_dell_device_mode_get_string ()
QmiMessageDmsDellChangeDeviceModeInput * | qmi_message_dms_dell_change_device_mode_input_new ()
QmiMessageDmsDellChangeDeviceModeInput * | qmi_message_dms_dell_change_device_mode_input_ref ()
gboolean | qmi_message_dms_dell_change_device_mode_input_set_mode ()
gboolean | qmi_message_dms_dell_change_device_mode_input_get_mode ()
void | qmi_message_dms_dell_change_device_mode_input_unref ()
QmiMessageDmsDellChangeDeviceModeOutput * | qmi_message_dms_dell_change_device_mode_output_ref ()
void | qmi_message_dms_dell_change_device_mode_output_unref ()
gboolean | qmi_message_dms_dell_change_device_mode_output_get_result ()
void | qmi_client_dms_dell_change_device_mode ()
QmiMessageDmsDellChangeDeviceModeOutput * | qmi_client_dms_dell_change_device_mode_finish ()
void | qmi_client_wds_get_default_profile_num ()
QmiMessageWdsGetDefaultProfileNumberOutput * | qmi_client_wds_get_default_profile_num_finish ()
QmiMessageWdsGetDefaultProfileNumInput * | qmi_message_wds_get_default_profile_num_input_new ()
QmiMessageWdsGetDefaultProfileNumInput * | qmi_message_wds_get_default_profile_num_input_ref ()
gboolean | qmi_message_wds_get_default_profile_num_input_get_profile_type ()
gboolean | qmi_message_wds_get_default_profile_num_input_set_profile_type ()
void | qmi_message_wds_get_default_profile_num_input_unref ()
QmiMessageWdsGetDefaultProfileNumOutput * | qmi_message_wds_get_default_profile_num_output_ref ()
void | qmi_message_wds_get_default_profile_num_output_unref ()
gboolean | qmi_message_wds_get_default_profile_num_output_get_default_profile_number ()
gboolean | qmi_message_wds_get_default_profile_num_output_get_extended_error_code ()
gboolean | qmi_message_wds_get_default_profile_num_output_get_result ()
void | qmi_client_wds_set_default_profile_num ()
QmiMessageWdsSetDefaultProfileNumberOutput * | qmi_client_wds_set_default_profile_num_finish ()
QmiMessageWdsSetDefaultProfileNumInput * | qmi_message_wds_set_default_profile_num_input_new ()
QmiMessageWdsSetDefaultProfileNumInput * | qmi_message_wds_set_default_profile_num_input_ref ()
gboolean | qmi_message_wds_set_default_profile_num_input_get_profile_identifier ()
gboolean | qmi_message_wds_set_default_profile_num_input_set_profile_identifier ()
void | qmi_message_wds_set_default_profile_num_input_unref ()
gboolean | qmi_message_wds_set_default_profile_num_output_get_extended_error_code ()
gboolean | qmi_message_wds_set_default_profile_num_output_get_result ()
QmiMessageWdsSetDefaultProfileNumOutput * | qmi_message_wds_set_default_profile_num_output_ref ()
void | qmi_message_wds_set_default_profile_num_output_unref ()

## Types and Values

| QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement
typedef | QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement
typedef | QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement
typedef | QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement
#define | QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID
#define | QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS
#define | QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER
#define | QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE
#define | QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY
#define | QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR
#define | QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER
#define | QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE
#define | QMI_WDS_VERBOSE_CALL_END_REASON_CM_CONFIGURATION_FAILED
enum | QmiDmsDellFirmwareVersionType
#define | QmiMessageDmsDellGetFirmwareVersionInput
#define | QmiMessageDmsDellGetFirmwareVersionOutput
enum | QmiDmsDellDeviceMode
#define | QmiMessageDmsDellChangeDeviceModeInput
#define | QmiMessageDmsDellChangeDeviceModeOutput
#define | QmiMessageWdsGetDefaultProfileNumInput
#define | QmiMessageWdsGetDefaultProfileNumOutput
#define | QmiMessageWdsSetDefaultProfileNumInput
#define | QmiMessageWdsSetDefaultProfileNumOutput

## Description

These types and methods are flagged as deprecated and therefore shouldn't be used in newly written code. They are provided to avoid innecessary API/ABI breaks, for compatibility purposes only.

## Functions

### qmi_device_close ()

    gboolean
    qmi_device_close (QmiDevice *self,
                      GError **error);

`qmi_device_close` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_device_close_async()` instead.

Synchronously closes a QmiDevice, preventing any further I/O.

If this device was opened with `QMI_DEVICE_OPEN_FLAGS_MBIM` , this operation will not wait for the response of the underlying MBIM close sequence.

Closing a QmiDevice multiple times will not return an error.

#### Parameters

self | a QmiDevice |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if successful, `FALSE` if `error` is set.

Since: 1.0

### qmi_device_command ()

    void
    qmi_device_command (QmiDevice *self,
                        QmiMessage *message,
                        guint timeout,
                        GCancellable *cancellable,
                        GAsyncReadyCallback callback,
                        gpointer user_data);

`qmi_device_command` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_device_command_full()` instead.

Asynchronously sends a generic QmiMessage to the device with no context.

If the operation is cancelled via `cancellable` , a `QMI_PROTOCOL_ERROR_ABORTED` error will be returned always. If the QMI method may be aborted, there is no guarantee that the operation is truly aborted before the error is returned so it may really happen that the operation really succeeded and the method would still return `QMI_PROTOCOL_ERROR_ABORTED`. In order to use abortable methods and make sure the response is the correct one, use `qmi_device_command_abortable()`.

When the operation is finished `callback` will be called. You can then call `qmi_device_command_finish()` to get the result of the operation.

#### Parameters

self | a QmiDevice. |
message | the message to send. |
timeout | maximum time, in seconds, to wait for the response. |
cancellable | a GCancellable, or `NULL`. |
callback | a GAsyncReadyCallback to call when the operation is finished. |
user_data | the data to pass to callback function. |

Since: 1.0

### qmi_device_command_finish ()

    QmiMessage *
    qmi_device_command_finish (QmiDevice *self,
                               GAsyncResult *res,
                               GError **error);

`qmi_device_command_finish` has been deprecated since version 1.18. and should not be used in newly-written code.

Use `qmi_device_command_full_finish()` instead.

Finishes an operation started with `qmi_device_command()`.

#### Parameters

self | a QmiDevice. |
res | a GAsyncResult. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessage response, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_unref()`.

[transfer full]

Since: 1.0

### qmi_utils_read_guint8_from_buffer ()

    void
    qmi_utils_read_guint8_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       guint8 *out);

`qmi_utils_read_guint8_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint8()` instead.

Reads an unsigned byte from the buffer.

The user needs to make sure that at least 1 byte is available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint8_from_buffer ()

    void
    qmi_utils_read_gint8_from_buffer (const guint8 **buffer,
                                      guint16 *buffer_size,
                                      gint8 *out);

`qmi_utils_read_gint8_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint8()` instead.

Reads a signed byte from the buffer.

The user needs to make sure that at least 1 byte is available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_guint16_from_buffer ()

    void
    qmi_utils_read_guint16_from_buffer (const guint8 **buffer,
                                        guint16 *buffer_size,
                                        QmiEndian endian,
                                        guint16 *out);

`qmi_utils_read_guint16_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint16()` instead.

Reads an unsigned 16-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specificed by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 2 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint16_from_buffer ()

    void
    qmi_utils_read_gint16_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       gint16 *out);

`qmi_utils_read_gint16_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint16()` instead.

Reads a signed 16-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 2 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_guint32_from_buffer ()

    void
    qmi_utils_read_guint32_from_buffer (const guint8 **buffer,
                                        guint16 *buffer_size,
                                        QmiEndian endian,
                                        guint32 *out);

`qmi_utils_read_guint32_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint32()` instead.

Reads an unsigned 32-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 4 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint32_from_buffer ()

    void
    qmi_utils_read_gint32_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       gint32 *out);

`qmi_utils_read_gint32_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint32()` instead.

Reads a signed 32-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 4 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_guint64_from_buffer ()

    void
    qmi_utils_read_guint64_from_buffer (const guint8 **buffer,
                                        guint16 *buffer_size,
                                        QmiEndian endian,
                                        guint64 *out);

`qmi_utils_read_guint64_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_guint64()` instead.

Reads an unsigned 64-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 8 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gint64_from_buffer ()

    void
    qmi_utils_read_gint64_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       gint64 *out);

`qmi_utils_read_gint64_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gint64()` instead.

Reads a signed 64-bit integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least 8 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_sized_guint_from_buffer ()

    void
    qmi_utils_read_sized_guint_from_buffer
                                   (const guint8 **buffer,
                                    guint16 *buffer_size,
                                    guint n_bytes,
                                    QmiEndian endian,
                                    guint64 *out);

`qmi_utils_read_sized_guint_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_sized_guint()` instead.

Reads a `n_bytes` -sized unsigned integer from the buffer. The number in the buffer is expected to be given in the byte order specified by `endian` , and this method takes care of converting the read value to the proper host endianness.

The user needs to make sure that at least `n_bytes` bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the `n_bytes` bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
n_bytes | number of bytes to read. |
endian | endianness of firmware value; swapped to host byte order if necessary |
out | return location for the read variable. |

Since: 1.0

### qmi_utils_read_gfloat_from_buffer ()

    void
    qmi_utils_read_gfloat_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       gfloat *out);

`qmi_utils_read_gfloat_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gfloat()` instead.

Reads a 32-bit floating-point number from the buffer.

The user needs to make sure that at least 4 bytes are available in the buffer.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
out | return location for the read variable. |

Since: 1.10

### qmi_utils_read_string_from_buffer ()

    void
    qmi_utils_read_string_from_buffer (const guint8 **buffer,
                                       guint16 *buffer_size,
                                       guint8 length_prefix_size,
                                       guint16 max_size,
                                       gchar **out);

`qmi_utils_read_string_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_string()` instead.

Reads a string from the buffer.

If `length_prefix_size` is greater than 0, only the amount of bytes given there will be read. Otherwise, up to `buffer_size` bytes will be read.

Also note that both `buffer` and `buffer_size` get updated after the write.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
length_prefix_size | size of the length prefix integer in bits. |
max_size | maximum number of bytes to read, or 0 to read all available bytes. |
out | return location for the read string. The returned value should be freed with `g_free()`. |

Since: 1.0

### qmi_utils_read_fixed_size_string_from_buffer ()

    void
    qmi_utils_read_fixed_size_string_from_buffer
                                   (const guint8 **buffer,
                                    guint16 *buffer_size,
                                    guint16 fixed_size,
                                    gchar *out);

`qmi_utils_read_fixed_size_string_from_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_read_fixed_size_string()` instead.

Reads a `fixed_size` -sized string from the buffer into the `out` buffer.

Also note that both `buffer` and `buffer_size` get updated after the `fixed_size` bytes read.

#### Parameters

buffer | a buffer with raw binary data. |
buffer_size | size of `buffer` . |
fixed_size | number of bytes to read. |
out | buffer preallocated by the client, with at least `fixed_size` bytes. |

Since: 1.0

### qmi_utils_write_guint8_to_buffer ()

    void
    qmi_utils_write_guint8_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      guint8 *in);

`qmi_utils_write_guint8_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint8()` instead.

Writes an unsigned byte into the buffer.

The user needs to make sure that the buffer is at least 1 byte long.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint8_to_buffer ()

    void
    qmi_utils_write_gint8_to_buffer (guint8 **buffer,
                                     guint16 *buffer_size,
                                     gint8 *in);

`qmi_utils_write_gint8_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint8()` instead.

Writes a signed byte into the buffer.

The user needs to make sure that the buffer is at least 1 byte long.

Also note that both `buffer` and `buffer_size` get updated after the 1 byte write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_guint16_to_buffer ()

    void
    qmi_utils_write_guint16_to_buffer (guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       guint16 *in);

`qmi_utils_write_guint16_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint16()` instead.

Writes an unsigned 16-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 2 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint16_to_buffer ()

    void
    qmi_utils_write_gint16_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      QmiEndian endian,
                                      gint16 *in);

`qmi_utils_write_gint16_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint16()` instead.

Writes a signed 16-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 2 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 2 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_guint32_to_buffer ()

    void
    qmi_utils_write_guint32_to_buffer (guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       guint32 *in);

`qmi_utils_write_guint32_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint32()` instead.

Writes an unsigned 32-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 4 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint32_to_buffer ()

    void
    qmi_utils_write_gint32_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      QmiEndian endian,
                                      gint32 *in);

`qmi_utils_write_gint32_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint32()` instead.

Writes a signed 32-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 4 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 4 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_guint64_to_buffer ()

    void
    qmi_utils_write_guint64_to_buffer (guint8 **buffer,
                                       guint16 *buffer_size,
                                       QmiEndian endian,
                                       guint64 *in);

`qmi_utils_write_guint64_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_guint64()` instead.

Writes an unsigned 64-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 8 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_gint64_to_buffer ()

    void
    qmi_utils_write_gint64_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      QmiEndian endian,
                                      gint64 *in);

`qmi_utils_write_gint64_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_gint64()` instead.

Writes a signed 64-bit integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least 8 bytes long.

Also note that both `buffer` and `buffer_size` get updated after the 8 bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_sized_guint_to_buffer ()

    void
    qmi_utils_write_sized_guint_to_buffer (guint8 **buffer,
                                           guint16 *buffer_size,
                                           guint n_bytes,
                                           QmiEndian endian,
                                           guint64 *in);

`qmi_utils_write_sized_guint_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_sized_guint()` instead.

Writes a `n_bytes` -sized unsigned integer into the buffer. The number to be written is expected to be given in host endianness, and this method takes care of converting the value written to the byte order specified by `endian` .

The user needs to make sure that the buffer is at least `n_bytes` bytes long.

Also note that both `buffer` and `buffer_size` get updated after the `n_bytes` bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
n_bytes | number of bytes to write. |
endian | endianness of firmware value; swapped from host byte order if necessary |
in | location of the variable to be written. |

Since: 1.0

### qmi_utils_write_string_to_buffer ()

    void
    qmi_utils_write_string_to_buffer (guint8 **buffer,
                                      guint16 *buffer_size,
                                      guint8 length_prefix_size,
                                      const gchar *in);

`qmi_utils_write_string_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_string()` instead.

Writes a string to the buffer.

If `length_prefix_size` is greater than 0, a length prefix integer will be included in the write operation.

The user needs to make sure that the buffer has enough space for both the whole string and the length prefix.

Also note that both `buffer` and `buffer_size` get updated after the write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
length_prefix_size | size of the length prefix integer in bits. |
in | string to write. |

Since: 1.0

### qmi_utils_write_fixed_size_string_to_buffer ()

    void
    qmi_utils_write_fixed_size_string_to_buffer
                                   (guint8 **buffer,
                                    guint16 *buffer_size,
                                    guint16 fixed_size,
                                    const gchar *in);

`qmi_utils_write_fixed_size_string_to_buffer` has been deprecated since version 1.12 and should not be used in newly-written code.

Use `qmi_message_tlv_write_string()` instead.

Writes a `fixed_size` -sized string to the buffer, without any length prefix.

The user needs to make sure that the buffer is at least `fixed_size` bytes long.

Also note that both `buffer` and `buffer_size` get updated after the `fixed_size` bytes write.

#### Parameters

buffer | a buffer. |
buffer_size | size of `buffer` . |
fixed_size | number of bytes to write. |
in | string to write. |

Since: 1.0

### qmi_message_get_version_introduced ()

    gboolean
    qmi_message_get_version_introduced (QmiMessage *self,
                                        guint *major,
                                        guint *minor);

`qmi_message_get_version_introduced` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_message_get_version_introduced_full()` instead.

Gets, if known, the service version in which the given message was first introduced.

#### Parameters

self | a QmiMessage. |
major | return location for the major version. | [out]
minor | return location for the minor version. | [out]

#### Returns

`TRUE` if `major` and `minor` are set, `FALSE` otherwise.

Since: 1.0

### qmi_message_get_version_introduced_full ()

    gboolean
    qmi_message_get_version_introduced_full
                                   (QmiMessage *self,
                                    QmiMessageContext *context,
                                    guint *major,
                                    guint *minor);

`qmi_message_get_version_introduced_full` has been deprecated since version 1.26 and should not be used in newly-written code.

The version information of each message is no longer available.

Gets, if known, the service version in which the given message was first introduced.

The lookup of the version may be specific to the `context` provided, e.g. for vendor-specific messages.

If no `context` given, the behavior is the same as `qmi_message_get_version_introduced()`.

Since 1.26, this method will return `FALSE` as the library no longer provides version information for each message, given that this information was never reliable.

#### Parameters

self | a QmiMessage. |
context | a QmiMessageContext. |
major | return location for the major version. | [out]
minor | return location for the minor version. | [out]

#### Returns

`TRUE` if `major` and `minor` are set, `FALSE` otherwise.

Since: 1.18

### qmi_message_get_printable ()

    gchar *
    qmi_message_get_printable (QmiMessage *self,
                               const gchar *line_prefix);

`qmi_message_get_printable` has been deprecated since version 1.18 and should not be used in newly-written code.

Use `qmi_message_get_printable_full()` instead.

Gets a printable string with the contents of the whole QMI message.

If known, the printable string will contain translated TLV values as well as the raw data buffer contents.

#### Parameters

self | a QmiMessage. |
line_prefix | prefix string to use in each new generated line. |

#### Returns

a newly allocated string, which should be freed with `g_free()`.

[transfer full]

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_get_new ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_new
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **arg_new,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_get_new` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_get_new_code()` instead.

Get the 'New Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_new | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_set_new ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_new
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *arg_new,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_set_new` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_set_new_code()` instead.

Set the 'New Code' field in the message.

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_new | a constant string of exactly 6 characters. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_get_current ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_get_current
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar **arg_current,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_get_current` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_get_current_code()` instead.

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_current | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_dms_set_service_programming_code_input_set_current ()

    gboolean
    qmi_message_dms_set_service_programming_code_input_set_current
                                   (QmiMessageDmsSetServiceProgrammingCodeInput *self,
                                    const gchar *arg_current,
                                    GError **error);

`qmi_message_dms_set_service_programming_code_input_set_current` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use `qmi_message_dms_set_service_programming_code_input_set_current_code()` instead.

Get the 'Current Code' field from `self` .

#### Parameters

self | a QmiMessageDmsSetServiceProgrammingCodeInput. |
arg_current | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_tlv_read_gfloat ()

    gboolean
    qmi_message_tlv_read_gfloat (QmiMessage *self,
                                 gsize tlv_offset,
                                 gsize *offset,
                                 gfloat *out,
                                 GError **error);

`qmi_message_tlv_read_gfloat` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_tlv_read_gfloat_endian()` instead.

Reads a 32-bit floating-point number from the TLV.

`offset` needs to point to a valid `gsize` specifying the index to start reading from within the TLV value (0 for the first item). If the variable is successfully read, `offset` will be updated to point past the read item.

The implementation assumes the float is encoded with the same endianness as the host, which may not be true. The use of this method is discouraged, and new code should use `qmi_message_tlv_read_gfloat_endian()` instead.

#### Parameters

self | a QmiMessage. |
tlv_offset | offset that was returned by `qmi_message_tlv_read_init()`. |
offset | address of a the offset within the TLV value. |
out | return location for the read gfloat. |
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the variable is successfully read, otherwise `FALSE` is returned and `error` is set.

Since: 1.12

### qmi_message_uim_change_pin_input_get_session_information ()

    gboolean
    qmi_message_uim_change_pin_input_get_session_information
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_change_pin_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_change_pin_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_change_pin_input_set_session_information ()

    gboolean
    qmi_message_uim_change_pin_input_set_session_information
                                   (QmiMessageUimChangePinInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_change_pin_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_change_pin_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimChangePinInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_get_file_attributes_input_get_session_information ()

    gboolean
    qmi_message_uim_get_file_attributes_input_get_session_information
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_get_file_attributes_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_get_file_attributes_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_get_file_attributes_input_set_session_information ()

    gboolean
    qmi_message_uim_get_file_attributes_input_set_session_information
                                   (QmiMessageUimGetFileAttributesInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_get_file_attributes_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_get_file_attributes_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimGetFileAttributesInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_record_input_get_session_information ()

    gboolean
    qmi_message_uim_read_record_input_get_session_information
                                   (QmiMessageUimReadRecordInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_record_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_record_input_get_session_information()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_record_input_set_session_information ()

    gboolean
    qmi_message_uim_read_record_input_set_session_information
                                   (QmiMessageUimReadRecordInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_record_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_record_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimReadRecordInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_get_session_information ()

    gboolean
    qmi_message_uim_read_transparent_input_get_session_information
                                   (QmiMessageUimReadTransparentInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_transparent_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_transparent_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_read_transparent_input_set_session_information ()

    gboolean
    qmi_message_uim_read_transparent_input_set_session_information
                                   (QmiMessageUimReadTransparentInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_read_transparent_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_read_transparent_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimReadTransparentInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.6

### qmi_message_uim_set_pin_protection_input_get_session_information ()

    gboolean
    qmi_message_uim_set_pin_protection_input_get_session_information
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_set_pin_protection_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_set_pin_protection_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_set_pin_protection_input_set_session_information ()

    gboolean
    qmi_message_uim_set_pin_protection_input_set_session_information
                                   (QmiMessageUimSetPinProtectionInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_set_pin_protection_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_set_pin_protection_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimSetPinProtectionInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_unblock_pin_input_get_session_information ()

    gboolean
    qmi_message_uim_unblock_pin_input_get_session_information
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_unblock_pin_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_unblock_pin_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_unblock_pin_input_set_session_information ()

    gboolean
    qmi_message_uim_unblock_pin_input_set_session_information
                                   (QmiMessageUimUnblockPinInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_unblock_pin_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_unblock_pin_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimUnblockPinInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_verify_pin_input_get_session_information ()

    gboolean
    qmi_message_uim_verify_pin_input_get_session_information
                                   (QmiMessageUimVerifyPinInput *self,
                                    QmiUimSessionType *value_session_information_session_type,
                                    const gchar **value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_verify_pin_input_get_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_verify_pin_input_get_session()` instead.

Get the 'Session Information' field from `self` .

#### Parameters

self | a QmiMessageUimVerifyPinInput. |
value_session_information_session_type | a placeholder for the output QmiUimSessionType, or `NULL` if not required. |
value_session_information_application_identifier | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.14

### qmi_message_uim_verify_pin_input_set_session_information ()

    gboolean
    qmi_message_uim_verify_pin_input_set_session_information
                                   (QmiMessageUimVerifyPinInput *self,
                                    QmiUimSessionType value_session_information_session_type,
                                    const gchar *value_session_information_application_identifier,
                                    GError **error);

`qmi_message_uim_verify_pin_input_set_session_information` has been deprecated since version 1.22 and should not be used in newly-written code.

Use `qmi_message_uim_verify_pin_input_set_session()` instead.

Set the 'Session Information' field in the message.

#### Parameters

self | a QmiMessageUimVerifyPinInput. |
value_session_information_session_type | a QmiUimSessionType. |
value_session_information_application_identifier | a constant string. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.14

### qmi_message_nas_get_operator_name_output_get_operator_nitz_information ()

    gboolean
    qmi_message_nas_get_operator_name_output_get_operator_nitz_information
                                   (QmiMessageNasGetOperatorNameOutput *self,
                                    QmiNasPlmnEncodingScheme *value_operator_nitz_information_name_encoding,
                                    QmiNasPlmnNameCountryInitials *value_operator_nitz_information_short_country_initials,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_long_name_spare_bits,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_short_name_spare_bits,
                                    const gchar **value_operator_nitz_information_long_name,
                                    const gchar **value_operator_nitz_information_short_name,
                                    GError **error);

`qmi_message_nas_get_operator_name_output_get_operator_nitz_information` has been deprecated since version 1.24.6 and should not be used in newly-written code.

Use `qmi_message_nas_get_operator_name_output_get_nitz_information()` instead.

Get the 'Operator NITZ Information' field from `self` .

#### Parameters

self | a QmiMessageNasGetOperatorNameOutput. |
value_operator_nitz_information_name_encoding | a placeholder for the output QmiNasPlmnEncodingScheme, or `NULL` if not required. |
value_operator_nitz_information_short_country_initials | a placeholder for the output QmiNasPlmnNameCountryInitials, or `NULL` if not required. |
value_operator_nitz_information_long_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_short_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_long_name | a placeholder for the output constant string, or `NULL` if not required. |
value_operator_nitz_information_short_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_indication_nas_operator_name_output_get_operator_nitz_information ()

    gboolean
    qmi_indication_nas_operator_name_output_get_operator_nitz_information
                                   (QmiIndicationNasOperatorNameOutput *self,
                                    QmiNasPlmnEncodingScheme *value_operator_nitz_information_name_encoding,
                                    QmiNasPlmnNameCountryInitials *value_operator_nitz_information_short_country_initials,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_long_name_spare_bits,
                                    QmiNasPlmnNameSpareBits *value_operator_nitz_information_short_name_spare_bits,
                                    const gchar **value_operator_nitz_information_long_name,
                                    const gchar **value_operator_nitz_information_short_name,
                                    GError **error);

`qmi_indication_nas_operator_name_output_get_operator_nitz_information` has been deprecated since version 1.24.6 and should not be used in newly-written code.

Use `qmi_indication_nas_operator_name_output_get_nitz_information()` instead.

Get the 'Operator NITZ Information' field from `self` .

#### Parameters

self | a QmiIndicationNasOperatorNameOutput. |
value_operator_nitz_information_name_encoding | a placeholder for the output QmiNasPlmnEncodingScheme, or `NULL` if not required. |
value_operator_nitz_information_short_country_initials | a placeholder for the output QmiNasPlmnNameCountryInitials, or `NULL` if not required. |
value_operator_nitz_information_long_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_short_name_spare_bits | a placeholder for the output QmiNasPlmnNameSpareBits, or `NULL` if not required. |
value_operator_nitz_information_long_name | a placeholder for the output constant string, or `NULL` if not required. |
value_operator_nitz_information_short_name | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.18

### qmi_message_nas_get_home_network_output_get_home_network_3gpp2 ()

    gboolean
    qmi_message_nas_get_home_network_output_get_home_network_3gpp2
                                   (QmiMessageNasGetHomeNetworkOutput *self,
                                    guint16 *value_home_network_3gpp2_mcc,
                                    guint16 *value_home_network_3gpp2_mnc,
                                    QmiNasNetworkDescriptionDisplay *value_home_network_3gpp2_display_description,
                                    QmiNasNetworkDescriptionEncoding *value_home_network_3gpp2_description_encoding,
                                    const gchar **value_home_network_3gpp2_description,
                                    GError **error);

`qmi_message_nas_get_home_network_output_get_home_network_3gpp2` has been deprecated since version 1.24.6 and should not be used in newly-written code.

Use `qmi_message_nas_get_home_network_output_get_home_network_3gpp2_ext()` instead.

Get the 'Home Network 3GPP2' field from `self` .

#### Parameters

self | a QmiMessageNasGetHomeNetworkOutput. |
value_home_network_3gpp2_mcc | a placeholder for the output guint16, or `NULL` if not required. |
value_home_network_3gpp2_mnc | a placeholder for the output guint16, or `NULL` if not required. |
value_home_network_3gpp2_display_description | a placeholder for the output QmiNasNetworkDescriptionDisplay, or `NULL` if not required. |
value_home_network_3gpp2_description_encoding | a placeholder for the output QmiNasNetworkDescriptionEncoding, or `NULL` if not required. |
value_home_network_3gpp2_description | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.0

### qmi_message_nas_get_cell_location_info_output_get_geran_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_geran_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    guint32 *value_geran_info_cell_id,
                                    const gchar **value_geran_info_plmn,
                                    guint16 *value_geran_info_lac,
                                    guint16 *value_geran_info_geran_absolute_rf_channel_number,
                                    guint8 *value_geran_info_base_station_identity_code,
                                    guint32 *value_geran_info_timing_advance,
                                    guint16 *value_geran_info_rx_level,
                                    GArray **value_geran_info_cell,
                                    GError **error);

`qmi_message_nas_get_cell_location_info_output_get_geran_info` has been deprecated since version 1.26.6. and should not be used in newly-written code.

Use `qmi_message_nas_get_cell_location_info_output_get_geran_info_v2()` instead.

Get the 'GERAN Info' field from `self` .

This method is deprecated and returns an empty `value_geran_info_plmn` string and an empty `value_geran_info_cell` array.

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_geran_info_cell_id | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_geran_info_plmn | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_geran_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_geran_info_geran_absolute_rf_channel_number | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_geran_info_base_station_identity_code | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_geran_info_timing_advance | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_geran_info_rx_level | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_geran_info_cell | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_umts_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_umts_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    guint16 *value_umts_info_cell_id,
                                    const gchar **value_umts_info_plmn,
                                    guint16 *value_umts_info_lac,
                                    guint16 *value_umts_info_utra_absolute_rf_channel_number,
                                    guint16 *value_umts_info_primary_scrambling_code,
                                    gint16 *value_umts_info_rscp,
                                    gint16 *value_umts_info_ecio,
                                    GArray **value_umts_info_cell,
                                    GArray **value_umts_info_neighboring_geran,
                                    GError **error);

`qmi_message_nas_get_cell_location_info_output_get_umts_info` has been deprecated since version 1.26.6. and should not be used in newly-written code.

Use `qmi_message_nas_get_cell_location_info_output_get_umts_info_v2()` instead.

Get the 'UMTS Info' field from `self` .

This method is deprecated and returns an empty `value_umts_info_plmn` string.

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_umts_info_cell_id | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_umts_info_plmn | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_umts_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_umts_info_utra_absolute_rf_channel_number | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_umts_info_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_umts_info_rscp | a placeholder for the output gint16, or `NULL` if not required. | [out]
value_umts_info_ecio | a placeholder for the output gint16, or `NULL` if not required. | [out]
value_umts_info_cell | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement][transfer none]
value_umts_info_neighboring_geran | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info ()

    gboolean
    qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info
                                   (QmiMessageNasGetCellLocationInfoOutput *self,
                                    gboolean *value_intrafrequency_lte_info_ue_in_idle,
                                    const gchar **value_intrafrequency_lte_info_plmn,
                                    guint16 *value_intrafrequency_lte_info_tracking_area_code,
                                    guint32 *value_intrafrequency_lte_info_global_cell_id,
                                    guint16 *value_intrafrequency_lte_info_eutra_absolute_rf_channel_number,
                                    guint16 *value_intrafrequency_lte_info_serving_cell_id,
                                    guint8 *value_intrafrequency_lte_info_cell_reselection_priority,
                                    guint8 *value_intrafrequency_lte_info_s_non_intra_search_threshold,
                                    guint8 *value_intrafrequency_lte_info_serving_cell_low_threshold,
                                    guint8 *value_intrafrequency_lte_info_s_intra_search_threshold,
                                    GArray **value_intrafrequency_lte_info_cell,
                                    GError **error);

`qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info` has been deprecated since version 1.26.6. and should not be used in newly-written code.

Use `qmi_message_nas_get_cell_location_info_output_get_intrafrequency_lte_info_v2()` instead.

Get the 'Intrafrequency LTE Info' field from `self` .

This method is deprecated and returns an empty `value_intrafrequency_lte_info_plmn` string.

#### Parameters

self | a QmiMessageNasGetCellLocationInfoOutput. |
value_intrafrequency_lte_info_ue_in_idle | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_plmn | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_tracking_area_code | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_global_cell_id | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_eutra_absolute_rf_channel_number | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_serving_cell_id | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_cell_reselection_priority | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_s_non_intra_search_threshold | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_serving_cell_low_threshold | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_s_intra_search_threshold | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_intrafrequency_lte_info_cell | a placeholder for the output GArray of QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement elements, or `NULL` if not required. Do not free it, it is owned by `self` . | [out][element-type QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement][transfer none]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.10

### qmi_message_nas_get_system_info_output_get_gsm_system_info ()

    gboolean
    qmi_message_nas_get_system_info_output_get_gsm_system_info
                                   (QmiMessageNasGetSystemInfoOutput *self,
                                    gboolean *value_gsm_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_domain,
                                    gboolean *value_gsm_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_service_capability,
                                    gboolean *value_gsm_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_gsm_system_info_roaming_status,
                                    gboolean *value_gsm_system_info_forbidden_valid,
                                    gboolean *value_gsm_system_info_forbidden,
                                    gboolean *value_gsm_system_info_lac_valid,
                                    guint16 *value_gsm_system_info_lac,
                                    gboolean *value_gsm_system_info_cid_valid,
                                    guint32 *value_gsm_system_info_cid,
                                    gboolean *value_gsm_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_registration_reject_domain,
                                    guint8 *value_gsm_system_info_registration_reject_cause,
                                    gboolean *value_gsm_system_info_network_id_valid,
                                    const gchar **value_gsm_system_info_mcc,
                                    const gchar **value_gsm_system_info_mnc,
                                    gboolean *value_gsm_system_info_egprs_support_valid,
                                    gboolean *value_gsm_system_info_egprs_support,
                                    gboolean *value_gsm_system_info_dtm_support_valid,
                                    gboolean *value_gsm_system_info_dtm_support,
                                    GError **error);

`qmi_message_nas_get_system_info_output_get_gsm_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_message_nas_get_system_info_output_get_gsm_system_info_v2()` instead.

Get the 'GSM System Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemInfoOutput. |
value_gsm_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_gsm_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_gsm_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_gsm_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_gsm_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_gsm_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_gsm_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_gsm_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_gsm_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_gsm_system_info_egprs_support_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_egprs_support | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_dtm_support_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_dtm_support | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_system_info_output_get_lte_system_info ()

    gboolean
    qmi_message_nas_get_system_info_output_get_lte_system_info
                                   (QmiMessageNasGetSystemInfoOutput *self,
                                    gboolean *value_lte_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_domain,
                                    gboolean *value_lte_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_service_capability,
                                    gboolean *value_lte_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_lte_system_info_roaming_status,
                                    gboolean *value_lte_system_info_forbidden_valid,
                                    gboolean *value_lte_system_info_forbidden,
                                    gboolean *value_lte_system_info_lac_valid,
                                    guint16 *value_lte_system_info_lac,
                                    gboolean *value_lte_system_info_cid_valid,
                                    guint32 *value_lte_system_info_cid,
                                    gboolean *value_lte_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_registration_reject_domain,
                                    guint8 *value_lte_system_info_registration_reject_cause,
                                    gboolean *value_lte_system_info_network_id_valid,
                                    const gchar **value_lte_system_info_mcc,
                                    const gchar **value_lte_system_info_mnc,
                                    gboolean *value_lte_system_info_tac_valid,
                                    guint16 *value_lte_system_info_tac,
                                    GError **error);

`qmi_message_nas_get_system_info_output_get_lte_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_message_nas_get_system_info_output_get_lte_system_info_v2()` instead.

Get the 'LTE System Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemInfoOutput. |
value_lte_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_lte_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_lte_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_lte_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_lte_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_lte_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_lte_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_lte_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_lte_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_lte_system_info_tac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_tac | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_system_info_output_get_td_scdma_system_info ()

    gboolean
    qmi_message_nas_get_system_info_output_get_td_scdma_system_info
                                   (QmiMessageNasGetSystemInfoOutput *self,
                                    gboolean *value_td_scdma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_td_scdma_system_info_domain,
                                    gboolean *value_td_scdma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_td_scdma_system_info_service_capability,
                                    gboolean *value_td_scdma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_td_scdma_system_info_roaming_status,
                                    gboolean *value_td_scdma_system_info_forbidden_valid,
                                    gboolean *value_td_scdma_system_info_forbidden,
                                    gboolean *value_td_scdma_system_info_lac_valid,
                                    guint16 *value_td_scdma_system_info_lac,
                                    gboolean *value_td_scdma_system_info_cid_valid,
                                    guint32 *value_td_scdma_system_info_cid,
                                    gboolean *value_td_scdma_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_td_scdma_system_info_registration_reject_domain,
                                    guint8 *value_td_scdma_system_info_registration_reject_cause,
                                    gboolean *value_td_scdma_system_info_network_id_valid,
                                    const gchar **value_td_scdma_system_info_mcc,
                                    const gchar **value_td_scdma_system_info_mnc,
                                    gboolean *value_td_scdma_system_info_hs_call_status_valid,
                                    QmiNasWcdmaHsService *value_td_scdma_system_info_hs_call_status,
                                    gboolean *value_td_scdma_system_info_hs_service_valid,
                                    QmiNasWcdmaHsService *value_td_scdma_system_info_hs_service,
                                    gboolean *value_td_scdma_system_info_cell_parameter_id_valid,
                                    guint16 *value_td_scdma_system_info_cell_parameter_id,
                                    gboolean *value_td_scdma_system_info_cell_broadcast_support_valid,
                                    QmiNasCellBroadcastCapability *value_td_scdma_system_info_cell_broadcast_support,
                                    gboolean *value_td_scdma_system_info_cs_call_barring_status_valid,
                                    QmiNasCallBarringStatus *value_td_scdma_system_info_cs_call_barring_status,
                                    gboolean *value_td_scdma_system_info_ps_call_barring_status_valid,
                                    QmiNasCallBarringStatus *value_td_scdma_system_info_ps_call_barring_status,
                                    gboolean *value_td_scdma_system_info_cipher_domain_valid,
                                    QmiNasNetworkServiceDomain *value_td_scdma_system_info_cipher_domain,
                                    GError **error);

`qmi_message_nas_get_system_info_output_get_td_scdma_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_message_nas_get_system_info_output_get_td_scdma_system_info_v2()` instead.

Get the 'TD SCDMA System Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemInfoOutput. |
value_td_scdma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_td_scdma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_td_scdma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_td_scdma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_td_scdma_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_td_scdma_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_td_scdma_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_td_scdma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_td_scdma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_td_scdma_system_info_hs_call_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_hs_call_status | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_td_scdma_system_info_hs_service_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_hs_service | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_td_scdma_system_info_cell_parameter_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_cell_parameter_id | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_td_scdma_system_info_cell_broadcast_support_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_cell_broadcast_support | a placeholder for the output QmiNasCellBroadcastCapability, or `NULL` if not required. | [out]
value_td_scdma_system_info_cs_call_barring_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_cs_call_barring_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. | [out]
value_td_scdma_system_info_ps_call_barring_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_ps_call_barring_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. | [out]
value_td_scdma_system_info_cipher_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scdma_system_info_cipher_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_get_system_info_output_get_wcdma_system_info ()

    gboolean
    qmi_message_nas_get_system_info_output_get_wcdma_system_info
                                   (QmiMessageNasGetSystemInfoOutput *self,
                                    gboolean *value_wcdma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_domain,
                                    gboolean *value_wcdma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_service_capability,
                                    gboolean *value_wcdma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_wcdma_system_info_roaming_status,
                                    gboolean *value_wcdma_system_info_forbidden_valid,
                                    gboolean *value_wcdma_system_info_forbidden,
                                    gboolean *value_wcdma_system_info_lac_valid,
                                    guint16 *value_wcdma_system_info_lac,
                                    gboolean *value_wcdma_system_info_cid_valid,
                                    guint32 *value_wcdma_system_info_cid,
                                    gboolean *value_wcdma_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_registration_reject_domain,
                                    guint8 *value_wcdma_system_info_registration_reject_cause,
                                    gboolean *value_wcdma_system_info_network_id_valid,
                                    const gchar **value_wcdma_system_info_mcc,
                                    const gchar **value_wcdma_system_info_mnc,
                                    gboolean *value_wcdma_system_info_hs_call_status_valid,
                                    QmiNasWcdmaHsService *value_wcdma_system_info_hs_call_status,
                                    gboolean *value_wcdma_system_info_hs_service_valid,
                                    QmiNasWcdmaHsService *value_wcdma_system_info_hs_service,
                                    gboolean *value_wcdma_system_info_primary_scrambling_code_valid,
                                    guint16 *value_wcdma_system_info_primary_scrambling_code,
                                    GError **error);

`qmi_message_nas_get_system_info_output_get_wcdma_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_message_nas_get_system_info_output_get_wcdma_system_info_v2()` instead.

Get the 'WCDMA System Info' field from `self` .

#### Parameters

self | a QmiMessageNasGetSystemInfoOutput. |
value_wcdma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_wcdma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_wcdma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_wcdma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_wcdma_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_wcdma_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_wcdma_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_wcdma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_wcdma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_call_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_call_status | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_service_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_service | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_wcdma_system_info_primary_scrambling_code_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_indication_nas_system_info_output_get_gsm_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_gsm_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_gsm_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_domain,
                                    gboolean *value_gsm_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_service_capability,
                                    gboolean *value_gsm_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_gsm_system_info_roaming_status,
                                    gboolean *value_gsm_system_info_forbidden_valid,
                                    gboolean *value_gsm_system_info_forbidden,
                                    gboolean *value_gsm_system_info_lac_valid,
                                    guint16 *value_gsm_system_info_lac,
                                    gboolean *value_gsm_system_info_cid_valid,
                                    guint32 *value_gsm_system_info_cid,
                                    gboolean *value_gsm_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_gsm_system_info_registration_reject_domain,
                                    guint8 *value_gsm_system_info_registration_reject_cause,
                                    gboolean *value_gsm_system_info_network_id_valid,
                                    const gchar **value_gsm_system_info_mcc,
                                    const gchar **value_gsm_system_info_mnc,
                                    gboolean *value_gsm_system_info_egprs_support_valid,
                                    gboolean *value_gsm_system_info_egprs_support,
                                    gboolean *value_gsm_system_info_dtm_support_valid,
                                    gboolean *value_gsm_system_info_dtm_support,
                                    GError **error);

`qmi_indication_nas_system_info_output_get_gsm_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_indication_nas_system_info_output_get_gsm_system_info_v2()` instead.

Get the 'GSM System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_gsm_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_gsm_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_gsm_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_gsm_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_gsm_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_gsm_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_gsm_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_gsm_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_gsm_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_gsm_system_info_egprs_support_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_egprs_support | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_dtm_support_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_gsm_system_info_dtm_support | a placeholder for the output gboolean, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_indication_nas_system_info_output_get_lte_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_lte_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_lte_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_domain,
                                    gboolean *value_lte_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_service_capability,
                                    gboolean *value_lte_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_lte_system_info_roaming_status,
                                    gboolean *value_lte_system_info_forbidden_valid,
                                    gboolean *value_lte_system_info_forbidden,
                                    gboolean *value_lte_system_info_lac_valid,
                                    guint16 *value_lte_system_info_lac,
                                    gboolean *value_lte_system_info_cid_valid,
                                    guint32 *value_lte_system_info_cid,
                                    gboolean *value_lte_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_lte_system_info_registration_reject_domain,
                                    guint8 *value_lte_system_info_registration_reject_cause,
                                    gboolean *value_lte_system_info_network_id_valid,
                                    const gchar **value_lte_system_info_mcc,
                                    const gchar **value_lte_system_info_mnc,
                                    gboolean *value_lte_system_info_tac_valid,
                                    guint16 *value_lte_system_info_tac,
                                    GError **error);

`qmi_indication_nas_system_info_output_get_lte_system_info` is deprecated and should not be used in newly-written code.

Get the 'LTE System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_lte_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_lte_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_lte_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_lte_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_lte_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_lte_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_lte_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_lte_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_lte_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_lte_system_info_tac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_lte_system_info_tac | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_indication_nas_system_info_output_get_td_scma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_td_scma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_td_scma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_domain,
                                    gboolean *value_td_scma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_service_capability,
                                    gboolean *value_td_scma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_td_scma_system_info_roaming_status,
                                    gboolean *value_td_scma_system_info_forbidden_valid,
                                    gboolean *value_td_scma_system_info_forbidden,
                                    gboolean *value_td_scma_system_info_lac_valid,
                                    guint16 *value_td_scma_system_info_lac,
                                    gboolean *value_td_scma_system_info_cid_valid,
                                    guint32 *value_td_scma_system_info_cid,
                                    gboolean *value_td_scma_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_registration_reject_domain,
                                    guint8 *value_td_scma_system_info_registration_reject_cause,
                                    gboolean *value_td_scma_system_info_network_id_valid,
                                    const gchar **value_td_scma_system_info_mcc,
                                    const gchar **value_td_scma_system_info_mnc,
                                    gboolean *value_td_scma_system_info_hs_call_status_valid,
                                    QmiNasWcdmaHsService *value_td_scma_system_info_hs_call_status,
                                    gboolean *value_td_scma_system_info_hs_service_valid,
                                    QmiNasWcdmaHsService *value_td_scma_system_info_hs_service,
                                    gboolean *value_td_scma_system_info_cell_parameter_id_valid,
                                    guint16 *value_td_scma_system_info_cell_parameter_id,
                                    gboolean *value_td_scma_system_info_cell_broadcast_support_valid,
                                    QmiNasCellBroadcastCapability *value_td_scma_system_info_cell_broadcast_support,
                                    gboolean *value_td_scma_system_info_cs_call_barring_status_valid,
                                    QmiNasCallBarringStatus *value_td_scma_system_info_cs_call_barring_status,
                                    gboolean *value_td_scma_system_info_ps_call_barring_status_valid,
                                    QmiNasCallBarringStatus *value_td_scma_system_info_ps_call_barring_status,
                                    gboolean *value_td_scma_system_info_cipher_domain_valid,
                                    QmiNasNetworkServiceDomain *value_td_scma_system_info_cipher_domain,
                                    GError **error);

`qmi_indication_nas_system_info_output_get_td_scma_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_indication_nas_system_info_output_get_td_scma_system_info_v2()` instead.

Get the 'TD SCMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_td_scma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_td_scma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_td_scma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_td_scma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_td_scma_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_td_scma_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_td_scma_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_td_scma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_td_scma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_td_scma_system_info_hs_call_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_hs_call_status | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_td_scma_system_info_hs_service_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_hs_service | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_td_scma_system_info_cell_parameter_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_cell_parameter_id | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_td_scma_system_info_cell_broadcast_support_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_cell_broadcast_support | a placeholder for the output QmiNasCellBroadcastCapability, or `NULL` if not required. | [out]
value_td_scma_system_info_cs_call_barring_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_cs_call_barring_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. | [out]
value_td_scma_system_info_ps_call_barring_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_ps_call_barring_status | a placeholder for the output QmiNasCallBarringStatus, or `NULL` if not required. | [out]
value_td_scma_system_info_cipher_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_td_scma_system_info_cipher_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_indication_nas_system_info_output_get_wcdma_system_info ()

    gboolean
    qmi_indication_nas_system_info_output_get_wcdma_system_info
                                   (QmiIndicationNasSystemInfoOutput *self,
                                    gboolean *value_wcdma_system_info_domain_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_domain,
                                    gboolean *value_wcdma_system_info_service_capability_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_service_capability,
                                    gboolean *value_wcdma_system_info_roaming_status_valid,
                                    QmiNasRoamingStatus *value_wcdma_system_info_roaming_status,
                                    gboolean *value_wcdma_system_info_forbidden_valid,
                                    gboolean *value_wcdma_system_info_forbidden,
                                    gboolean *value_wcdma_system_info_lac_valid,
                                    guint16 *value_wcdma_system_info_lac,
                                    gboolean *value_wcdma_system_info_cid_valid,
                                    guint32 *value_wcdma_system_info_cid,
                                    gboolean *value_wcdma_system_info_registration_reject_info_valid,
                                    QmiNasNetworkServiceDomain *value_wcdma_system_info_registration_reject_domain,
                                    guint8 *value_wcdma_system_info_registration_reject_cause,
                                    gboolean *value_wcdma_system_info_network_id_valid,
                                    const gchar **value_wcdma_system_info_mcc,
                                    const gchar **value_wcdma_system_info_mnc,
                                    gboolean *value_wcdma_system_info_hs_call_status_valid,
                                    QmiNasWcdmaHsService *value_wcdma_system_info_hs_call_status,
                                    gboolean *value_wcdma_system_info_hs_service_valid,
                                    QmiNasWcdmaHsService *value_wcdma_system_info_hs_service,
                                    gboolean *value_wcdma_system_info_primary_scrambling_code_valid,
                                    guint16 *value_wcdma_system_info_primary_scrambling_code,
                                    GError **error);

`qmi_indication_nas_system_info_output_get_wcdma_system_info` has been deprecated since version 1.30. and should not be used in newly-written code.

Use `qmi_indication_nas_system_info_output_get_wcdma_system_info_v2()` instead.

Get the 'WCDMA System Info' field from `self` .

#### Parameters

self | a QmiIndicationNasSystemInfoOutput. |
value_wcdma_system_info_domain_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_wcdma_system_info_service_capability_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_service_capability | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_wcdma_system_info_roaming_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_roaming_status | a placeholder for the output QmiNasRoamingStatus, or `NULL` if not required. | [out]
value_wcdma_system_info_forbidden_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_forbidden | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_lac_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_lac | a placeholder for the output guint16, or `NULL` if not required. | [out]
value_wcdma_system_info_cid_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_cid | a placeholder for the output guint32, or `NULL` if not required. | [out]
value_wcdma_system_info_registration_reject_info_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_registration_reject_domain | a placeholder for the output QmiNasNetworkServiceDomain, or `NULL` if not required. | [out]
value_wcdma_system_info_registration_reject_cause | a placeholder for the output guint8, or `NULL` if not required. | [out]
value_wcdma_system_info_network_id_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_mcc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_wcdma_system_info_mnc | a placeholder for the output constant string, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_call_status_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_call_status | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_service_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_hs_service | a placeholder for the output QmiNasWcdmaHsService, or `NULL` if not required. | [out]
value_wcdma_system_info_primary_scrambling_code_valid | a placeholder for the output gboolean, or `NULL` if not required. | [out]
value_wcdma_system_info_primary_scrambling_code | a placeholder for the output guint16, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_nas_swi_get_status_output_get_common_info ()

    gboolean
    qmi_message_nas_swi_get_status_output_get_common_info
                                   (QmiMessageNasSwiGetStatusOutput *self,
                                    guint8 *value_common_info_temperature,
                                    QmiNasSwiModemMode *value_common_info_modem_mode,
                                    QmiNasSwiSystemMode *value_common_info_system_mode,
                                    QmiNasSwiImsRegState *value_common_info_ims_registration_state,
                                    QmiNasSwiPsState *value_common_info_packet_service_state,
                                    GError **error);

`qmi_message_nas_swi_get_status_output_get_common_info` has been deprecated since version 1.30 and should not be used in newly-written code.

Use `qmi_message_nas_swi_get_status_output_get_common_info_v2()` instead.

Get the 'Common Info' field from `self` .

#### Parameters

self | a QmiMessageNasSwiGetStatusOutput. |
value_common_info_temperature | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
value_common_info_modem_mode | a placeholder for the output QmiNasSwiModemMode, or `NULL` if not required. | [out][optional]
value_common_info_system_mode | a placeholder for the output QmiNasSwiSystemMode, or `NULL` if not required. | [out][optional]
value_common_info_ims_registration_state | a placeholder for the output QmiNasSwiImsRegState, or `NULL` if not required. | [out][optional]
value_common_info_packet_service_state | a placeholder for the output QmiNasSwiPsState, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.24

### qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status ()

    gboolean
    qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status
                                   (QmiMessageNasSetSystemSelectionPreferenceInput *self,
                                    gboolean *value_mnc_pds_digit_include_status,
                                    GError **error);

`qmi_message_nas_set_system_selection_preference_input_get_mnc_pds_digit_include_status` has been deprecated since version 1.30 and should not be used in newly-written code.

Use `qmi_message_nas_set_system_selection_preference_input_get_mnc_pcs_digit_include_status()` instead.

Get the 'MNC PDS Digit Include Status' field from `self` .

#### Parameters

self | a QmiMessageNasSetSystemSelectionPreferenceInput. |
value_mnc_pds_digit_include_status | a placeholder for the output gboolean, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_dms_dell_firmware_version_type_get_string ()

    const gchar *
    qmi_dms_dell_firmware_version_type_get_string
                                   (QmiDmsDellFirmwareVersionType val);

`qmi_dms_dell_firmware_version_type_get_string` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_dms_foxconn_firmware_version_type_get_string()` instead.

Gets the nickname string for the QmiDmsFoxconnFirmwareVersionType specified at `val` .

#### Parameters

val | a QmiDmsFoxconnFirmwareVersionType. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_input_new ()

    QmiMessageDmsDellGetFirmwareVersionInput *
    qmi_message_dms_dell_get_firmware_version_input_new
                                   (void);

`qmi_message_dms_dell_get_firmware_version_input_new` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_input_new()` instead.

Allocates a new QmiMessageDmsDellGetFirmwareVersionInput.

#### Returns

the newly created QmiMessageDmsDellGetFirmwareVersionInput. The returned value should be freed with `qmi_message_dms_dell_get_firmware_version_input_unref()`.

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_input_ref ()

    QmiMessageDmsDellGetFirmwareVersionInput *
    qmi_message_dms_dell_get_firmware_version_input_ref
                                   (QmiMessageDmsDellGetFirmwareVersionInput *self);

`qmi_message_dms_dell_get_firmware_version_input_ref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_input_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionInput. |

#### Returns

the new reference to `self` .

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_input_set_version_type ()

    gboolean
    qmi_message_dms_dell_get_firmware_version_input_set_version_type
                                   (QmiMessageDmsDellGetFirmwareVersionInput *self,
                                    QmiDmsDellFirmwareVersionType value_version_type,
                                    GError **error);

`qmi_message_dms_dell_get_firmware_version_input_set_version_type` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_input_set_version_type()` instead.

Set the 'Version Type' field in the message.

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionInput. |
value_version_type | a QmiDmsDellFirmwareVersionType. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_input_get_version_type ()

    gboolean
    qmi_message_dms_dell_get_firmware_version_input_get_version_type
                                   (QmiMessageDmsDellGetFirmwareVersionInput *self,
                                    QmiDmsDellFirmwareVersionType *value_version_type,
                                    GError **error);

`qmi_message_dms_dell_get_firmware_version_input_get_version_type` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_input_get_version_type()` instead.

Get the 'Version Type' field from `self` .

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionInput. |
value_version_type | a placeholder for the output QmiDmsDellFirmwareVersionType, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_input_unref ()

    void
    qmi_message_dms_dell_get_firmware_version_input_unref
                                   (QmiMessageDmsDellGetFirmwareVersionInput *self);

`qmi_message_dms_dell_get_firmware_version_input_unref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_input_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionInput. |

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_output_ref ()

    QmiMessageDmsDellGetFirmwareVersionOutput *
    qmi_message_dms_dell_get_firmware_version_output_ref
                                   (QmiMessageDmsDellGetFirmwareVersionOutput *self);

`qmi_message_dms_dell_get_firmware_version_output_ref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_output_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionOutput. |

#### Returns

the new reference to `self` .

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_output_unref ()

    void
    qmi_message_dms_dell_get_firmware_version_output_unref
                                   (QmiMessageDmsDellGetFirmwareVersionOutput *self);

`qmi_message_dms_dell_get_firmware_version_output_unref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_output_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionOutput. |

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_output_get_result ()

    gboolean
    qmi_message_dms_dell_get_firmware_version_output_get_result
                                   (QmiMessageDmsDellGetFirmwareVersionOutput *self,
                                    GError **error);

`qmi_message_dms_dell_get_firmware_version_output_get_result` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_output_get_result()` instead.

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22.4

### qmi_message_dms_dell_get_firmware_version_output_get_version ()

    gboolean
    qmi_message_dms_dell_get_firmware_version_output_get_version
                                   (QmiMessageDmsDellGetFirmwareVersionOutput *self,
                                    const gchar **value_version,
                                    GError **error);

`qmi_message_dms_dell_get_firmware_version_output_get_version` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_get_firmware_version_output_get_version()` instead.

Get the 'Version' field from `self` .

#### Parameters

self | a QmiMessageDmsDellGetFirmwareVersionOutput. |
value_version | a placeholder for the output constant string, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22.4

### qmi_client_dms_dell_get_firmware_version ()

    void
    qmi_client_dms_dell_get_firmware_version
                                   (QmiClientDms *self,
                                    QmiMessageDmsDellGetFirmwareVersionInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

`qmi_client_dms_dell_get_firmware_version` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_client_dms_foxconn_get_firmware_version()` instead.

Asynchronously sends a Dell Get Firmware Version request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_dell_get_firmware_version_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsDellGetFirmwareVersionInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22.4

### qmi_client_dms_dell_get_firmware_version_finish ()

    QmiMessageDmsDellGetFirmwareVersionOutput *
    qmi_client_dms_dell_get_firmware_version_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

`qmi_client_dms_dell_get_firmware_version_finish` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_client_dms_foxconn_get_firmware_version_finish()` instead.

Finishes an async operation started with `qmi_client_dms_dell_get_firmware_version()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_dell_get_firmware_version()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsDellGetFirmwareVersionOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_dell_get_firmware_version_output_unref()`.

Since: 1.22.4

### qmi_dms_dell_device_mode_get_string ()

    const gchar *
    qmi_dms_dell_device_mode_get_string (QmiDmsDellDeviceMode val);

`qmi_dms_dell_device_mode_get_string` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_dms_foxconn_device_mode_get_string()` instead.

Gets the nickname string for the QmiDmsDellDeviceMode specified at `val` .

#### Parameters

val | a QmiDmsDellDeviceMode. |

#### Returns

a string with the nickname, or `NULL` if not found. Do not free the returned value.

[transfer none]

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_input_new ()

    QmiMessageDmsDellChangeDeviceModeInput *
    qmi_message_dms_dell_change_device_mode_input_new
                                   (void);

`qmi_message_dms_dell_change_device_mode_input_new` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_input_new()` instead.

Allocates a new QmiMessageDmsDellChangeDeviceModeInput.

#### Returns

the newly created QmiMessageDmsDellChangeDeviceModeInput. The returned value should be freed with `qmi_message_dms_dell_change_device_mode_input_unref()`.

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_input_ref ()

    QmiMessageDmsDellChangeDeviceModeInput *
    qmi_message_dms_dell_change_device_mode_input_ref
                                   (QmiMessageDmsDellChangeDeviceModeInput *self);

`qmi_message_dms_dell_change_device_mode_input_ref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_input_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeInput. |

#### Returns

the new reference to `self` .

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_input_set_mode ()

    gboolean
    qmi_message_dms_dell_change_device_mode_input_set_mode
                                   (QmiMessageDmsDellChangeDeviceModeInput *self,
                                    QmiDmsDellDeviceMode value_mode,
                                    GError **error);

`qmi_message_dms_dell_change_device_mode_input_set_mode` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_input_set_mode()` instead.

Set the 'Mode' field in the message.

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeInput. |
value_mode | a QmiDmsDellDeviceMode. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_input_get_mode ()

    gboolean
    qmi_message_dms_dell_change_device_mode_input_get_mode
                                   (QmiMessageDmsDellChangeDeviceModeInput *self,
                                    QmiDmsDellDeviceMode *value_mode,
                                    GError **error);

`qmi_message_dms_dell_change_device_mode_input_get_mode` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_input_get_mode()` instead.

Get the 'Mode' field from `self` .

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeInput. |
value_mode | a placeholder for the output QmiDmsDellDeviceMode, or `NULL` if not required. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_input_unref ()

    void
    qmi_message_dms_dell_change_device_mode_input_unref
                                   (QmiMessageDmsDellChangeDeviceModeInput *self);

`qmi_message_dms_dell_change_device_mode_input_unref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_input_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeInput. |

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_output_ref ()

    QmiMessageDmsDellChangeDeviceModeOutput *
    qmi_message_dms_dell_change_device_mode_output_ref
                                   (QmiMessageDmsDellChangeDeviceModeOutput *self);

`qmi_message_dms_dell_change_device_mode_output_ref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_output_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeOutput. |

#### Returns

the new reference to `self` .

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_output_unref ()

    void
    qmi_message_dms_dell_change_device_mode_output_unref
                                   (QmiMessageDmsDellChangeDeviceModeOutput *self);

`qmi_message_dms_dell_change_device_mode_output_unref` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_output_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeOutput. |

Since: 1.22.4

### qmi_message_dms_dell_change_device_mode_output_get_result ()

    gboolean
    qmi_message_dms_dell_change_device_mode_output_get_result
                                   (QmiMessageDmsDellChangeDeviceModeOutput *self,
                                    GError **error);

`qmi_message_dms_dell_change_device_mode_output_get_result` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_message_dms_foxconn_change_device_mode_output_get_result()` instead.

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsDellChangeDeviceModeOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

Since: 1.22.4

### qmi_client_dms_dell_change_device_mode ()

    void
    qmi_client_dms_dell_change_device_mode
                                   (QmiClientDms *self,
                                    QmiMessageDmsDellChangeDeviceModeInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

`qmi_client_dms_dell_change_device_mode` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_client_dms_foxconn_change_device_mode()` instead.

Asynchronously sends a Dell Change Device Mode request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_dell_change_device_mode_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsDellChangeDeviceModeInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22.4

### qmi_client_dms_dell_change_device_mode_finish ()

    QmiMessageDmsDellChangeDeviceModeOutput *
    qmi_client_dms_dell_change_device_mode_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

`qmi_client_dms_dell_change_device_mode_finish` has been deprecated since version 1.26 and should not be used in newly-written code.

Use `qmi_client_dms_foxconn_change_device_mode_finish()` instead.

Finishes an async operation started with `qmi_client_dms_dell_change_device_mode()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_dell_change_device_mode()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsDellChangeDeviceModeOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_dell_change_device_mode_output_unref()`.

Since: 1.22.4

### qmi_client_wds_get_default_profile_num ()

    void
    qmi_client_wds_get_default_profile_num
                                   (QmiClientWds *self,
                                    QmiMessageWdsGetDefaultProfileNumberInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

`qmi_client_wds_get_default_profile_num` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_client_wds_get_default_profile_number()` instead.

Asynchronously sends a Get Default Profile Number request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_get_default_profile_number_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsGetDefaultProfileNumberInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_wds_get_default_profile_num_finish ()

    QmiMessageWdsGetDefaultProfileNumberOutput *
    qmi_client_wds_get_default_profile_num_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

`qmi_client_wds_get_default_profile_num_finish` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_client_wds_get_default_profile_number_finish()` instead.

Finishes an async operation started with `qmi_client_wds_get_default_profile_number()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_get_default_profile_number()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsGetDefaultProfileNumberOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_get_default_profile_number_output_unref()`.

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_new ()

    QmiMessageWdsGetDefaultProfileNumInput *
    qmi_message_wds_get_default_profile_num_input_new
                                   (void);

`qmi_message_wds_get_default_profile_num_input_new` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_input_new()` instead.

Allocates a new QmiMessageWdsGetDefaultProfileNumInput.

#### Returns

the newly created QmiMessageWdsGetDefaultProfileNumInput. The returned value should be freed with `qmi_message_wds_get_default_profile_num_input_unref()`.

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_ref ()

    QmiMessageWdsGetDefaultProfileNumInput *
    qmi_message_wds_get_default_profile_num_input_ref
                                   (QmiMessageWdsGetDefaultProfileNumInput *self);

`qmi_message_wds_get_default_profile_num_input_ref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_input_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_get_profile_type ()

    gboolean
    qmi_message_wds_get_default_profile_num_input_get_profile_type
                                   (QmiMessageWdsGetDefaultProfileNumInput *self,
                                    QmiWdsProfileType *value_profile_type_profile_type,
                                    QmiWdsProfileFamily *value_profile_type_profile_family,
                                    GError **error);

`qmi_message_wds_get_default_profile_num_input_get_profile_type` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_input_get_profile_type()` instead.

Get the 'Profile Type' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |
value_profile_type_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out]
value_profile_type_profile_family | a placeholder for the output QmiWdsProfileFamily, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_set_profile_type ()

    gboolean
    qmi_message_wds_get_default_profile_num_input_set_profile_type
                                   (QmiMessageWdsGetDefaultProfileNumInput *self,
                                    QmiWdsProfileType value_profile_type_profile_type,
                                    QmiWdsProfileFamily value_profile_type_profile_family,
                                    GError **error);

`qmi_message_wds_get_default_profile_num_input_set_profile_type` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_input_set_profile_type()` instead.

Set the 'Profile Type' field in the message.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |
value_profile_type_profile_type | a QmiWdsProfileType. |
value_profile_type_profile_family | a QmiWdsProfileFamily. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_get_default_profile_num_input_unref ()

    void
    qmi_message_wds_get_default_profile_num_input_unref
                                   (QmiMessageWdsGetDefaultProfileNumInput *self);

`qmi_message_wds_get_default_profile_num_input_unref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_input_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumInput. |

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_ref ()

    QmiMessageWdsGetDefaultProfileNumOutput *
    qmi_message_wds_get_default_profile_num_output_ref
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self);

`qmi_message_wds_get_default_profile_num_output_ref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_output_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_unref ()

    void
    qmi_message_wds_get_default_profile_num_output_unref
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self);

`qmi_message_wds_get_default_profile_num_output_unref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_output_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_get_default_profile_number ()

    gboolean
    qmi_message_wds_get_default_profile_num_output_get_default_profile_number
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self,
                                    guint8 *value_default_profile_number,
                                    GError **error);

`qmi_message_wds_get_default_profile_num_output_get_default_profile_number` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_output_get_index()` instead.

Get the 'Default Profile Number' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |
value_default_profile_number | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_get_default_profile_num_output_get_extended_error_code
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

`qmi_message_wds_get_default_profile_num_output_get_extended_error_code` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_output_get_extended_error_code()` instead.

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_get_default_profile_num_output_get_result ()

    gboolean
    qmi_message_wds_get_default_profile_num_output_get_result
                                   (QmiMessageWdsGetDefaultProfileNumOutput *self,
                                    GError **error);

`qmi_message_wds_get_default_profile_num_output_get_result` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_get_default_profile_number_output_get_result()` instead.

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsGetDefaultProfileNumOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.22

### qmi_client_wds_set_default_profile_num ()

    void
    qmi_client_wds_set_default_profile_num
                                   (QmiClientWds *self,
                                    QmiMessageWdsSetDefaultProfileNumberInput *input,
                                    guint timeout,
                                    GCancellable *cancellable,
                                    GAsyncReadyCallback callback,
                                    gpointer user_data);

`qmi_client_wds_set_default_profile_num` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_client_wds_set_default_profile_number()` instead.

Asynchronously sends a Set Default Profile Number request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_wds_set_default_profile_number_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientWds. |
input | a QmiMessageWdsSetDefaultProfileNumberInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.22

### qmi_client_wds_set_default_profile_num_finish ()

    QmiMessageWdsSetDefaultProfileNumberOutput *
    qmi_client_wds_set_default_profile_num_finish
                                   (QmiClientWds *self,
                                    GAsyncResult *res,
                                    GError **error);

`qmi_client_wds_set_default_profile_num_finish` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_client_wds_set_default_profile_number_finish()` instead.

Finishes an async operation started with `qmi_client_wds_set_default_profile_number()`.

#### Parameters

self | a QmiClientWds. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_wds_set_default_profile_number()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageWdsSetDefaultProfileNumberOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_wds_set_default_profile_number_output_unref()`.

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_new ()

    QmiMessageWdsSetDefaultProfileNumInput *
    qmi_message_wds_set_default_profile_num_input_new
                                   (void);

`qmi_message_wds_set_default_profile_num_input_new` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_input_new()` instead.

Allocates a new QmiMessageWdsSetDefaultProfileNumInput.

#### Returns

the newly created QmiMessageWdsSetDefaultProfileNumInput. The returned value should be freed with `qmi_message_wds_set_default_profile_num_input_unref()`.

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_ref ()

    QmiMessageWdsSetDefaultProfileNumInput *
    qmi_message_wds_set_default_profile_num_input_ref
                                   (QmiMessageWdsSetDefaultProfileNumInput *self);

`qmi_message_wds_set_default_profile_num_input_ref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_input_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_get_profile_identifier ()

    gboolean
    qmi_message_wds_set_default_profile_num_input_get_profile_identifier
                                   (QmiMessageWdsSetDefaultProfileNumInput *self,
                                    QmiWdsProfileType *value_profile_identifier_profile_type,
                                    QmiWdsProfileFamily *value_profile_identifier_profile_family,
                                    guint8 *value_profile_identifier_profile_index,
                                    GError **error);

`qmi_message_wds_set_default_profile_num_input_get_profile_identifier` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_input_get_profile_identifier()` instead.

Get the 'Profile Identifier' field from `self` .

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |
value_profile_identifier_profile_type | a placeholder for the output QmiWdsProfileType, or `NULL` if not required. | [out]
value_profile_identifier_profile_family | a placeholder for the output QmiWdsProfileFamily, or `NULL` if not required. | [out]
value_profile_identifier_profile_index | a placeholder for the output guint8, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_set_profile_identifier ()

    gboolean
    qmi_message_wds_set_default_profile_num_input_set_profile_identifier
                                   (QmiMessageWdsSetDefaultProfileNumInput *self,
                                    QmiWdsProfileType value_profile_identifier_profile_type,
                                    QmiWdsProfileFamily value_profile_identifier_profile_family,
                                    guint8 value_profile_identifier_profile_index,
                                    GError **error);

`qmi_message_wds_set_default_profile_num_input_set_profile_identifier` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_input_set_profile_identifier()` instead.

Set the 'Profile Identifier' field in the message.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |
value_profile_identifier_profile_type | a QmiWdsProfileType. |
value_profile_identifier_profile_family | a QmiWdsProfileFamily. |
value_profile_identifier_profile_index | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_set_default_profile_num_input_unref ()

    void
    qmi_message_wds_set_default_profile_num_input_unref
                                   (QmiMessageWdsSetDefaultProfileNumInput *self);

`qmi_message_wds_set_default_profile_num_input_unref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_input_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumInput. |

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_get_extended_error_code ()

    gboolean
    qmi_message_wds_set_default_profile_num_output_get_extended_error_code
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self,
                                    QmiWdsDsProfileError *value_extended_error_code,
                                    GError **error);

`qmi_message_wds_set_default_profile_num_output_get_extended_error_code` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_output_get_extended_error_code()` instead.

Get the 'Extended Error Code' field from `self` .

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |
value_extended_error_code | a placeholder for the output QmiWdsDsProfileError, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_get_result ()

    gboolean
    qmi_message_wds_set_default_profile_num_output_get_result
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self,
                                    GError **error);

`qmi_message_wds_set_default_profile_num_output_get_result` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_output_get_result()` instead.

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_ref ()

    QmiMessageWdsSetDefaultProfileNumOutput *
    qmi_message_wds_set_default_profile_num_output_ref
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self);

`qmi_message_wds_set_default_profile_num_output_ref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_output_ref()` instead.

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |

#### Returns

the new reference to `self` .

Since: 1.22

### qmi_message_wds_set_default_profile_num_output_unref ()

    void
    qmi_message_wds_set_default_profile_num_output_unref
                                   (QmiMessageWdsSetDefaultProfileNumOutput *self);

`qmi_message_wds_set_default_profile_num_output_unref` has been deprecated since version 1.28. and should not be used in newly-written code.

Use `qmi_message_wds_set_default_profile_number_output_unref()` instead.

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageWdsSetDefaultProfileNumOutput. |

Since: 1.22

## Types and Values

### QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement

    typedef struct {
        guint32 cell_id;
        gchar *plmn;
        guint16 lac;
        guint16 geran_absolute_rf_channel_number;
        guint8 base_station_identity_code;
        guint16 rx_level;
    } QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement;

`QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement` has been deprecated since version 1.26.6. and should not be used in newly-written code.

A QmiMessageNasGetCellLocationInfoOutputGeranInfoCellElement struct.

#### Members

guint32 `cell_id`; | a guint32. |
gchar *`plmn`; | a string of exactly 3 characters. |
guint16 `lac`; | a guint16. |
guint16 `geran_absolute_rf_channel_number`; | a guint16. |
guint8 `base_station_identity_code`; | a guint8. |
guint16 `rx_level`; | a guint16. |

Since: 1.10

### QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement

    typedef QmiMessageNasGetCellLocationInfoOutputUmtsInfoV2CellElement QmiMessageNasGetCellLocationInfoOutputUmtsInfoCellElement;

### QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement

    typedef QmiMessageNasGetCellLocationInfoOutputUmtsInfoV2NeighboringGeranElement QmiMessageNasGetCellLocationInfoOutputUmtsInfoNeighboringGeranElement;

### QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement

    typedef QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoV2CellElement QmiMessageNasGetCellLocationInfoOutputIntrafrequencyLteInfoCellElement;

### QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE

    #define QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE (QmiDeprecatedNasSimRejectState) QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE

`QMI_NAS_SIM_REJECT_STATE_SIM_VAILABLE` has been deprecated since version 1.14.0 and should not be used in newly-written code.

Use the correct QMI_NAS_SIM_REJECT_STATE_SIM_AVAILABLE name instead.

SIM available.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_VACANT name instead.

Address is valid but not yet allocated.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_ADDRESS_TRANSLATION_FAILURE name instead.

Address is invalid.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_RESOURCE_SHORTAGE name instead.

Network resource shortage.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_FAILURE

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_FAILURE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_FAILURE name instead.

Network failed.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_INVALID_TELESERVICE_ID name instead.

SMS teleservice ID is invalid.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_NETWORK_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_NETWORK_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_NETWORK_OTHER name instead.

Other network error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_PAGE_RESPONSE name instead.

No page response from destination.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_BUSY

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_BUSY` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_BUSY name instead.

Destination is busy.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NO_ACK name instead.

No acknowledge from destination.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_RESOURCE_SHORTAGE name instead.

Destination resource shortage.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_SMS_DELIVERY_POSTPONED name instead.

SMS delivery postponed.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OUT_OF_SERVICE name instead.

Destination out of service.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_NOT_AT_ADDRESS name instead.

Destination not at address.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_DESTINATION_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_DESTINATION_OTHER name instead.

Other destination error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE

    #define QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE

`QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_RESOURCE_SHORTAGE name instead.

Radio interface resource shortage.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY

    #define QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY

`QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_INCOMPATIBILITY name instead.

Radio interface incompatibility.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_RADIO_INTERFACE_OTHER name instead.

Other radio interface error

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_ENCODING

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_ENCODING` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_ENCODING name instead.

Encoding error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_ORIGIN_DENIED name instead.

SMS origin denied.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_DESTINATION_DENIED name instead.

SMS destination denied.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SUPPLEMENTARY_SERVICE_NOT_SUPPORTED name instead.

Supplementary service not supported.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_SMS_NOT_SUPPORTED name instead.

SMS not supported.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_EXPECTED_PARAMETER name instead.

Missing optional expected parameter.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_MISSING_MANDATORY_PARAMETER name instead.

Missing mandatory parameter.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNRECOGNIZED_PARAMETER_VALUE name instead.

Unrecognized parameter value.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_UNEXPECTED_PARAMETER_VALUE name instead.

Unexpected parameter value.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_USER_DATA_SIZE_ERROR name instead.

User data size error.

Since: 1.0

### QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER

    #define QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER (QmiDeprecatedWdsCdmaCauseCode) QMI_WMS_CDMA_CAUSE_CODE_GENERAL_OTHER

`QMI_WDS_CDMA_CAUSE_CODE_GENERAL_OTHER` has been deprecated since version 1.18.0 and should not be used in newly-written code.

Use the correct QMI_WMS_CDMA_CAUSE_CODE_GENERAL_OTHER name instead.

Other general error.

Since: 1.0

### QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE

    #define QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE (QmiDeprecatedProtocolError) QMI_PROTOCOL_ERROR_REQUESTED_NUMBER_UNSUPPORTED

`QMI_PROTOCOL_ERROR_QOS_UNAVAILABLE` has been deprecated since version 1.22.0 and should not be used in newly-written code.

Use the QMI_PROTOCOL_ERROR_REQUESTED_NUMBER_UNSUPPORTED instead.

QoS unavailable.

Since: 1.0

### QMI_WDS_VERBOSE_CALL_END_REASON_CM_CONFIGURATION_FAILED

    #define QMI_WDS_VERBOSE_CALL_END_REASON_CM_CONFIGURATION_FAILED (QmiDeprecatedWdsVerboseCallEndReasonCm) QMI_WDS_VERBOSE_CALL_END_REASON_CM_CONFERENCE_FAILED

`QMI_WDS_VERBOSE_CALL_END_REASON_CM_CONFIGURATION_FAILED` has been deprecated since version 1.24.10 and should not be used in newly-written code.

Use the correct QMI_WDS_VERBOSE_CALL_END_REASON_CM_CONFERENCE_FAILED name instead.

Conference (not configuration) failed.

Since: 1.0

### enum QmiDmsDellFirmwareVersionType

`QmiDmsDellFirmwareVersionType` has been deprecated since version 1.26 and should not be used in newly-written code.

Use QmiDmsFoxconnFirmwareVersionType instead.

Dell specific firmware version types.

#### Members

QMI_DMS_DELL_FIRMWARE_VERSION_TYPE_FIRMWARE_MCFG | E.g. T77W968.F0.0.0.2.3.GC.004. |
QMI_DMS_DELL_FIRMWARE_VERSION_TYPE_FIRMWARE_MCFG_APPS | E.g. T77W968.F0.0.0.2.3.GC.004.011. |
QMI_DMS_DELL_FIRMWARE_VERSION_TYPE_APPS | E.g. 011. |

Since: 1.22.4

### QmiMessageDmsDellGetFirmwareVersionInput

    #define QmiMessageDmsDellGetFirmwareVersionInput QmiMessageDmsFoxconnGetFirmwareVersionInput

`QmiMessageDmsDellGetFirmwareVersionInput` has been deprecated since version 1.26 and should not be used in newly-written code.

Use QmiMessageDmsFoxconnGetFirmwareVersionInput instead.

The QmiMessageDmsDellGetFirmwareVersionInput structure contains private data and should only be accessed using the provided API.

Since: 1.22.4

### QmiMessageDmsDellGetFirmwareVersionOutput

    #define QmiMessageDmsDellGetFirmwareVersionOutput QmiMessageDmsFoxconnGetFirmwareVersionOutput

`QmiMessageDmsDellGetFirmwareVersionOutput` has been deprecated since version 1.26 and should not be used in newly-written code.

Use QmiMessageDmsFoxconnGetFirmwareVersionOutput instead.

The QmiMessageDmsDellGetFirmwareVersionOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22.4

### enum QmiDmsDellDeviceMode

`QmiDmsDellDeviceMode` has been deprecated since version 1.26 and should not be used in newly-written code.

Use QmiDmsFoxconnDeviceMode instead.

Dell specific device modes.

#### Members

QMI_DMS_DELL_DEVICE_MODE_UNKNOWN | Unknown mode. |
QMI_DMS_DELL_DEVICE_MODE_FASTBOOT_ONLINE | Fastboot download mode for full partition files. |
QMI_DMS_DELL_DEVICE_MODE_FASTBOOT_OTA | Fastboot download mode for OTA files. |

Since: 1.22.4

### QmiMessageDmsDellChangeDeviceModeInput

    #define QmiMessageDmsDellChangeDeviceModeInput QmiMessageDmsFoxconnChangeDeviceModeInput

`QmiMessageDmsDellChangeDeviceModeInput` has been deprecated since version 1.26 and should not be used in newly-written code.

Use QmiMessageDmsFoxconnChangeDeviceModeInput instead.

The QmiMessageDmsDellChangeDeviceModeInput structure contains private data and should only be accessed using the provided API.

Since: 1.22.4

### QmiMessageDmsDellChangeDeviceModeOutput

    #define QmiMessageDmsDellChangeDeviceModeOutput QmiMessageDmsFoxconnChangeDeviceModeOutput

`QmiMessageDmsDellChangeDeviceModeOutput` has been deprecated since version 1.26 and should not be used in newly-written code.

Use QmiMessageDmsFoxconnChangeDeviceModeOutput instead.

The QmiMessageDmsDellChangeDeviceModeOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22.4

### QmiMessageWdsGetDefaultProfileNumInput

    #define QmiMessageWdsGetDefaultProfileNumInput QmiMessageWdsGetDefaultProfileNumberInput

`QmiMessageWdsGetDefaultProfileNumInput` has been deprecated since version 1.28 and should not be used in newly-written code.

Use QmiMessageWdsGetDefaultProfileNumberInput instead.

The QmiMessageWdsGetDefaultProfileNumInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageWdsGetDefaultProfileNumOutput

    #define QmiMessageWdsGetDefaultProfileNumOutput QmiMessageWdsGetDefaultProfileNumberOutput

`QmiMessageWdsGetDefaultProfileNumOutput` has been deprecated since version 1.28. and should not be used in newly-written code.

Use QmiMessageWdsGetDefaultProfileNumberOutput instead.

The QmiMessageWdsGetDefaultProfileNumOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageWdsSetDefaultProfileNumInput

    #define QmiMessageWdsSetDefaultProfileNumInput QmiMessageWdsSetDefaultProfileNumberInput

`QmiMessageWdsSetDefaultProfileNumInput` has been deprecated since version 1.28. and should not be used in newly-written code.

Use QmiMessageWdsSetDefaultProfileNumberInput instead.

The QmiMessageWdsSetDefaultProfileNumInput structure contains private data and should only be accessed using the provided API.

Since: 1.22

### QmiMessageWdsSetDefaultProfileNumOutput

    #define QmiMessageWdsSetDefaultProfileNumOutput QmiMessageWdsSetDefaultProfileNumberOutput

`QmiMessageWdsSetDefaultProfileNumOutput` has been deprecated since version 1.28. and should not be used in newly-written code.

Use QmiMessageWdsSetDefaultProfileNumberOutput instead.

The QmiMessageWdsSetDefaultProfileNumOutput structure contains private data and should only be accessed using the provided API.

Since: 1.22